#include <glerminal.h>

#include <test-common.h>

#include <iostream>

namespace
{
	void init()
	{
		if (!glerminal_load_sprites_file("resources/image.png"))
		{
			std::cout << "Failed to load texture" << std::endl;
		}
		
		for (int i = 0; i < GRID_HEIGHT; i++)
		{
			glerminal_set(i, i, 0, 1);
		}

		glerminal_flush();

		glerminal_test_save_image();

		glerminal_quit();
	}

	void mainloop(double) {}
}

int main()
{
	glerminal_run({init, mainloop});

	return 0;
}